# Credit Check for Corporate Customer

This API performs a credit assessment for a corporate customer (a business or company) based on its **organization number**.

---

### Endpoint

```
POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/corporate
```

### Authentication
Include a **Bearer Token** in the `Authorization` header. You can obtain this token from **Front Payment**.

**Example:**  
```
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
```


### Request Payload

Send the following parameters as a JSON object in the request body:

```json
{
    "organizationId": "993344228",
}
```

### Validation Rules

Make sure your request meets the following requirements:

<table style="width: 100%">
  <thead>
    <tr>
      <th style="width: 260px">Field</th>
      <th style="width: 80px">Type</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><code>organizationId</code></td>
      <td><code>string</code></td>
      <td><strong>Required</strong> The official organization number of the company.</td>
    </tr>
  </tbody>
  </table>


### Response

A successful request will return a `200 OK` status with the following JSON payload:

```json

    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessful",
    "is_data": false,
    "data": null
}
```

API returns a `500` or `510` error, it means something failed on the server side

```json
{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}
```